ConfigAddVar <- function(configuration, var_type, var_entry) {
  if (var_type == '2d') {
    if (!(var_entry %in% configuration$two_d)) {
      configuration$two_d <- c(configuration$two_d, var_entry)
    }
  } else if (var_type == 'mean') {
    if (!(var_entry %in% configuration$global_mean)) {
      configuration$global_mean <- c(configuration$global_mean, var_entry)
    }
  } else {
    stop("'var_type' must be either '2d' or 'mean'")
  }
}
